Skip to main content
POST
https://{host}/me/v1
/
connected-accounts
/
complete
Complete a connected account request
curl --request POST \
  --url https://{host}/me/v1/connected-accounts/complete \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "auth_session": "<string>",
  "connect_code": "<string>",
  "redirect_uri": "<string>",
  "code_verifier": "<string>"
}
'
{
  "id": "<string>",
  "connection": "<string>",
  "access_type": "offline",
  "created_at": "2023-11-07T05:31:56Z",
  "scopes": [
    "<string>"
  ],
  "expires_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer and DPoP tokens are supported depending on the API configuration

Body

application/json
auth_session
string
required

The authentication session identifier

Maximum string length: 64
connect_code
string
required

The authorization code returned from the connect flow

Required string length: 1 - 46
redirect_uri
string<uri>
required

The redirect URI used in the original request

Maximum string length: 2048
code_verifier
string

The PKCE code verifier

Required string length: 43 - 128

Response

Connected account request completed successfully

id
string
required

The unique identifier of the connected account

connection
string
required

The connection name

access_type
enum<string>
required

The access type, always 'offline'

Available options:
offline
created_at
string<date-time>
required

ISO date string of when the connected account was created

scopes
string[]

Array of scopes granted

expires_at
string<date-time>

ISO date string of when the refresh token expires (optional)